file Can't locate companion shared library

4 years 2 months ago #3200 by osl
Hi,

Can you be a little more specific about your configuration?
What's your OS, what's its version, maybe send a screenshot showing the error message so we get the context, etc.

BR

Go pro

Please Log in or Create an account to join the conversation.

4 years 1 month ago #3214 by hstoellinger
Hello,
I have the same problem trying to start Modelio 3.3.1 under Linux/Mint 17.1, x86 (32-bit). Any suggestions so far?
Thanks for your help
H. Stoellinger
Austria :(

Please Log in or Create an account to join the conversation.

4 years 1 month ago #3215 by hstoellinger
Hello again,
When I try to start Modelio I only get a kind of error message displayed with a title "M-bin"... Nothing more happens...

Please Log in or Create an account to join the conversation.

4 years 1 month ago #3216 by phillybruce
It turned out that I had accidentally downloaded the 64 bit version instead of the 32 bit one.

Please Log in or Create an account to join the conversation.

4 years 1 month ago #3217 by hstoellinger
Hello,
I wonder whether this might help: Looking at syslog I see the following messages after trying to run modelio:

Feb 26 14:16:37 hslaptop dbus[954]: [system] Activating service name='org.kde.powerdevil.backlighthelper' (using servicehelper)
Feb 26 14:16:37 hslaptop org.kde.powerdevil.backlighthelper: QDBusConnection: system D-Bus connection created before QCoreApplication. Application may misbehave.
Feb 26 14:16:37 hslaptop dbus[954]: [system] Successfully activated service 'org.kde.powerdevil.backlighthelper'

Please Log in or Create an account to join the conversation.

4 years 1 month ago #3218 by hstoellinger
Looking at modelio.log...

!ENTRY org.modelio.diagram.editor.deployment 2 0 2015-02-26 13:33:15.919
!MESSAGE Could not resolve module: org.modelio.diagram.editor.deployment [229]
Unresolved requirement: Require-Bundle: org.modelio.diagram.editor
-> Bundle-SymbolicName: org.modelio.diagram.editor; bundle-version="3.3.1.201502191123"; singleton:="true"
org.modelio.diagram.editor [224]
Unresolved requirement: Require-Bundle: org.modelio.core.ui
-> Bundle-SymbolicName: org.modelio.core.ui; bundle-version="3.3.1.201502191121"
org.modelio.core.ui [218]
Unresolved requirement: Require-Bundle: org.modelio.metamodel.emfapi
-> Bundle-SymbolicName: org.modelio.metamodel.emfapi; bundle-version="3.3.1.201502191117"
org.modelio.metamodel.emfapi [257]
Unresolved requirement: Require-Bundle: org.modelio.core.kernel
-> Bundle-SymbolicName: org.modelio.core.kernel; bundle-version="3.3.1.201502191116"
org.modelio.core.kernel [213]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"


!ENTRY org.modelio.module.commands 2 0 2015-02-26 13:33:15.920
!MESSAGE Could not resolve module: org.modelio.module.commands [264]
Unresolved requirement: Require-Bundle: org.modelio.api
-> Bundle-SymbolicName: org.modelio.api; bundle-version="3.3.1.201502191121"; singleton:="true"
org.modelio.api [197]
Unresolved requirement: Require-Bundle: org.modelio.core.kernel
-> Bundle-SymbolicName: org.modelio.core.kernel; bundle-version="3.3.1.201502191116"
org.modelio.core.kernel [213]
Unresolved requirement: Require-Capability: osgi.ee; filter:="(&(osgi.ee=JavaSE)(version=1.8))"


!ENTRY org.eclipse.osgi 4 0 2015-02-26 13:33:15.920
!MESSAGE Application error
!STACK 1
org.eclipse.core.runtime.AssertionFailedException: null argument:applicationXMI argument missing
at org.eclipse.core.runtime.Assert.isNotNull(Assert.java:85)
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.loadApplicationModel(E4Application.java:373)
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.createE4Workbench(E4Application.java:260)
at org.eclipse.e4.ui.internal.workbench.swt.E4Application.start(E4Application.java:146)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
at org.eclipse.equinox.launcher.Main.run(Main.java:1465)

Please Log in or Create an account to join the conversation.

Moderators: oslcde
Time to create page: 0.039 seconds
^ Back to Top